MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023645Community[OCCT] OCCT:Documentationpublic2012-12-14 15:562016-04-20 15:51
ReporterTimo 
Assigned Tobugmaster 
PrioritynormalSeveritytext 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0023645: Modeling Algorithms User's Guide contains wrong statement about GeomFill_ConstrainedFilling
DescriptionIn the Modeling Algorithms User's Guide of OCC 6.9.1 in section 2.4.4 "Filling a conour" you can find the following:

"This is done by the class GeomFill_ConstrainedFilling, which allows filling a contour defined by two, three
or four curves as well as by tangency constraints."

It does not support two curves, only three and four, as the Doxygen documentation states.
Steps To ReproduceNA
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0025647)
atp (developer)
2013-09-19 12:39

Dear ifv, please approve this change to the user's guide and re-assign the bug to ysn.
(0046622)
ifv (developer)
2015-10-09 13:28

Dear ysn please correct documentation, this algorithm cannot support filling two curves.
(0046729)
git (administrator)
2015-10-14 12:25

Branch CR23645 has been created by ysn.

SHA-1: d06611871cdffcf24767ff8bced7358904b3939d


Detailed log of new commits:

Author: ysn
Date: Wed Oct 14 12:24:55 2015 +0300

    Wrong statement removed.
(0046730)
ysn (developer)
2015-10-14 12:26

Wrong statement removed
(0046768)
ifv (developer)
2015-10-15 10:48

Dear YSN, I think it is necessary to modify previous sentence too:
It is often convenient to create a surface from two or more curves which will form the boundaries that define the new surface.
This is done by the class *GeomFill_ConstrainedFilling*, which allows filling a contour defined by three or four curves ...
--->
It is often convenient to create a surface from some curves which will form the boundaries that define the new surface.
This is done by the class *GeomFill_ConstrainedFilling*, which allows filling a contour defined by three or four curves
(0047249)
git (administrator)
2015-10-21 10:21

Branch CR23645 has been updated by ysn.

SHA-1: 2e96e74d279298a8062d686a68014260bbadb0aa


Detailed log of new commits:

Author: ysn
Date: Wed Oct 21 10:20:45 2015 +0300

    Statement corrected.

(0053205)
git (administrator)
2016-04-17 14:38

Branch CR23645 has been deleted by kgv.

SHA-1: 2e96e74d279298a8062d686a68014260bbadb0aa

- Related Changesets
occt: master 3a398392
Timestamp: 2015-10-14 09:24:55
Author: ysn
Committer: bugmaster
Details ] Diff ]
0023645: Modeling Algorithms User's Guide contains wrong statement about GeomFill_ConstrainedFilling

Wrong statement removed.

Statement corrected.
mod - dox/user_guides/modeling_algos/modeling_algos.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-12-14 15:56 Timo New Issue
2012-12-14 15:56 Timo Assigned To => atp
2013-09-19 12:39 atp Assigned To atp => ifv
2013-09-19 12:39 atp Note Added: 0025647
2015-10-09 12:41 Timo Target Version => 7.0.0
2015-10-09 12:41 Timo Description Updated View Revisions
2015-10-09 13:28 ifv Note Added: 0046622
2015-10-09 13:28 ifv Assigned To ifv => ysn
2015-10-09 13:28 ifv Status new => assigned
2015-10-14 12:25 git Note Added: 0046729
2015-10-14 12:26 ysn Note Added: 0046730
2015-10-14 12:26 ysn Assigned To ysn => ifv
2015-10-14 12:26 ysn Status assigned => resolved
2015-10-14 12:26 ysn Steps to Reproduce Updated View Revisions
2015-10-15 10:48 ifv Note Added: 0046768
2015-10-15 10:48 ifv Assigned To ifv => ysn
2015-10-15 10:48 ifv Status resolved => feedback
2015-10-21 10:21 git Note Added: 0047249
2015-10-21 10:21 ysn Assigned To ysn => ifv
2015-10-21 10:21 ysn Status feedback => resolved
2015-10-21 10:48 ifv Assigned To ifv => bugmaster
2015-10-21 10:48 ifv Status resolved => reviewed
2015-10-23 12:30 bugmaster Changeset attached => occt master 3a398392
2015-10-23 12:30 bugmaster Status reviewed => verified
2015-10-23 12:30 bugmaster Resolution open => fixed
2016-04-17 14:38 git Note Added: 0053205
2016-04-20 15:42 user533 Fixed in Version => 7.0.0
2016-04-20 15:51 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker